<?xml version="1.0"?>
<doc>
  <assembly>
    <name>Scandir</name>
    <version>1.0.2312.20067</version>
    <fullname>Scandir, Version=1.0.2312.20067, Culture=neutral, PublicKeyToken=null</fullname>
  </assembly>
  <members>
    <member name="T:NHenry.Scandir.TPath">
      <summary>
 Structure fournissant quelques méthodes pour les dossiers 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TPath.#ctor(System.String)">
      <summary>
 Initialise le nom du chemin 
 </summary>
 <param name="pPath">Chemin à controler</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TPath.Path">
      <summary>
 Retourne ou définit le chemin à controler 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TPath.IsCorrect">
      <summary>
 Retourne true si le nom est correctement formé 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TPath.IsExist">
      <summary>
 Retourne true si le dossier existe, false sinon 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TPath.GetSubDirs">
      <summary>
 Retourne un tableau de directoryinfo représentant les sous-dossiers contenu 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TPath.GetFiles(System.String)">
      <summary>
 Retourne un tableau de fileinfo représentant les fichiers contenus dans le répertoire 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	23/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TPath.Attributes">
      <summary>
 Retourne ou définit les attributs d'un dossier 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="T:NHenry.Scandir.TFile">
      <summary>
 Structure fournissant quelques méthodes pour les fichiers 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TFile.#ctor(System.String)">
      <summary>
 Créé une instance de la structure avec le nom de fichier passé en paramètre 
 </summary>
 <param name="pFileName">Nom de fichier</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.FileName">
      <summary>
 Retourne ou définit le nom du fichier 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TFile.IsCorrect">
      <summary>
 Retourne true si le nom de fichier est bien formé 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TFile.IsExist">
      <summary>
 Retourne true si le fichier existe 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.Attributes">
      <summary>
 Retourne ou définit les atributs du fichier 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TFile.GetCrc32">
      <summary>
 Retourne le Crc32 du fichier (0 en cas de non existance) 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.TFile.GetMD5">
      <summary>
 Retourne le hash MD5 du fichier 
 </summary>
 <returns /></member>
    <member name="P:NHenry.Scandir.TFile.Length">
      <summary>
 Retourne la taille du fichier 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.FileExt">
      <summary>
 Retourne l'extension du fichier 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.FileTitle">
      <summary>
 Retourne le nom du fichier (sans le dossier) 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.FilePath">
      <summary>
 Retourne le nom du dossier parent 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.TFile.CreatedDate">
      <summary>
 Retourne ou définit la date de création du fichier 
 </summary>
 <value /></member>
    <member name="P:NHenry.Scandir.TFile.ModifiedDate">
      <summary>
 Retourne ou définit la date de modification du fichier 
 </summary>
 <value /></member>
    <member name="T:NHenry.Scandir.ClsAnneau">
      <summary>
 Classe permettant de faire un tampon sous forme d'anneau 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsAnneau.#ctor(System.Int32)">
      <summary>
 Constructeur de la classe 
 </summary>
 <param name="NbItem">Nombre d'élément dans l'anneau</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsAnneau.AddItem(System.Object@)">
      <summary>
 Ajoute un nouvel élément, retourne false si echec (anneau plein) 
 </summary>
 <param name="pObj">Objet à ajouter</param>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsAnneau.GetItem(System.Boolean)">
      <summary>
 Retourne un Item de l'anneau 
 </summary>
 <param name="ReleaseObject">true pour "effacer" la cellule</param>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsAnneau.Count">
      <summary>
 Retourne le nombre de case replie dans l'anneau 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	28/10/2005	Created 
 </history></member>
    <member name="T:NHenry.Scandir.ClsFifo">
      <summary>
 Classe de gestion d'une pile FIFO 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifo.#ctor">
      <summary>
 Constructeur de la classe, créé la pile 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifo.PushData(System.Object@)">
      <summary>
 Ajoute un item dans la pile 
 </summary>
 <param name="pObj">Objet à ajouter</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifo.PushClsFifo(NHenry.Scandir.ClsFifo@)">
      <summary>
 Cocatène la pile passée en paramètre avec celle de l'objet actuel 
 </summary>
 <param name="pObjFifo">Pile à concaténer</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifo.PopData(System.Boolean)">
      <summary>
 Retire un élément de la pile 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsFifo.Count">
      <summary>
 Retourne le nombre d'élément de la pile 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifo.Clear">
      <summary>
 Vide la pile 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	24/10/2005	Created 
 </history></member>
    <member name="T:NHenry.Scandir.ClsFifoStr">
      <summary>
 Parent : ClsFifo, spécialise la pile pour les string 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.#ctor">
      <summary>
 Constructeur de la classe, inutilisé 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.PushClsFifo(NHenry.Scandir.ClsFifoStr@)">
      <summary>
 Cocatène la pile passée en paramètre avec celle de l'objet actuel 
 </summary>
 <param name="pObjFifo">Pile à concaténer</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.PushData(System.String)">
      <summary>
 Ajoute une chaine à la pile 
 </summary>
 <param name="pStr">Chaine à ajouter</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.PushData(System.String()@)">
      <summary>
 Ajoute les chaines contenues dans un tableau dans la pile 
 </summary>
 <param name="pStr">!tableau de chaine</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.PopData(System.Boolean)">
      <summary>
 Retire une chaine de la pile 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoStr.Sorted">
      <summary>
 Trie la pile par ordre alphabétique 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="T:NHenry.Scandir.ClsFifoFile">
      <summary>
 Parent : ClsFifo, spécialise la pile pour les TFile 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.#ctor">
      <summary>
 Constructeur de la classe, inutilisé 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PushClsFifo(NHenry.Scandir.ClsFifoFile@)">
      <summary>
 Cocatène la pile passée en paramètre avec celle de l'objet actuel 
 </summary>
 <param name="pObjFifo">Pile à concaténer</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PushData(NHenry.Scandir.TFile)">
      <summary>
 Ajoute une chaine à la pile 
 </summary>
 <param name="pStr">TFile à ajouter</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PushData(System.IO.FileInfo@)">
      <summary>
 Ajoute un FileInfo à la pile 
 </summary>
 <param name="pStr">Objet FileInfo</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PushData(NHenry.Scandir.TFile()@)">
      <summary>
 Ajoute un tableau de TFile à la pile 
 </summary>
 <param name="pStr">Tableau de TFile</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PushData(System.IO.FileInfo()@)">
      <summary>
 Ajoute un tableau de fileinfo à la pile 
 </summary>
 <param name="pStr">Tableau de FileInfo</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.PopData(System.Boolean)">
      <summary>
 Retire une TFile de la pile 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoFile.Sorted">
      <summary>
 Trie la pile par ordre alphabétique 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="T:NHenry.Scandir.ClsFifoPath">
      <summary>
 Parent : ClsFifo, spécialise la pile pour les string 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.#ctor">
      <summary>
 Constructeur de la classe, inutilisé 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PushClsFifo(NHenry.Scandir.ClsFifoPath@)">
      <summary>
 Cocatène la pile passée en paramètre avec celle de l'objet actuel 
 </summary>
 <param name="pObjFifo">Pile à concaténer</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PushData(NHenry.Scandir.TPath)">
      <summary>
 Ajoute une TPath à la pile 
 </summary>
 <param name="pStr">Chaine à ajouter</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PushData(System.IO.DirectoryInfo@)">
      <summary>
 Ajoute un DirectoryInfo à la pile 
 </summary>
 <param name="pStr">Objet DirectoryInfo</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PushData(NHenry.Scandir.TPath()@)">
      <summary>
 Ajoute un tableau de TPath à la pile 
 </summary>
 <param name="pStr">Tableau de TPath</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PushData(System.IO.DirectoryInfo()@)">
      <summary>
 Ajoute un Tableau de DirectoryInfo à la pile 
 </summary>
 <param name="pStr">Tableau de DirectoryInfo</param>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.PopData(System.Boolean)">
      <summary>
 Retire une TPath de la pile 
 </summary>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsFifoPath.Sorted">
      <summary>
 Trie la pile par ordre alphabétique 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	22/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsScandir.#ctor">
      <summary>
 Constructeur de la classe 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.Path">
      <summary>
 Retourne on définit la liste des dossiers à scanner (c:\;d:\dataperso\;\\poste1\c$;...) 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.ExtInclude">
      <summary>
 Retourne ou définit les extensions à inclure (*.dll;*.e*,kernel32.dll;...) 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.ExtExclude">
      <summary>
 Retourne ou définit les fichiers à exclure (*.dll;*.e*,kernel32.dll;...) 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.SRep">
      <summary>
 Retourne ou définit si l'analyse s'effectue aussi dans les sous-dossiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.AutoRestart">
      <summary>
 Retourne ou définit si une modification de SRep, ExtInclude, ExtExclude ou Path entraine le redémarrage du scan 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.ActPath">
      <summary>
 Retourne le dossier actuellement scanné 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbFileElapsed">
      <summary>
 Retourne le nombre de fichiers récupérés 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbFileRemain">
      <summary>
 Retourne le nombre total de fichiers restant à récupérer 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbFileTotal">
      <summary>
 Retourne le nombre total de fichiers répertoriés 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbDirElapsed">
      <summary>
 Retourne le nombre de dossiers scannés 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbDirRemain">
      <summary>
 Retourne le nombre de dossiers restant à scanner 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.NbDirTotal">
      <summary>
 Retourne le nombre total de dossiers répertoriés 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeFileElapsed">
      <summary>
 Retourne le temps passé pour la récupération des fichiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeFileRemain">
      <summary>
 Retourne le temps restant estimé pour la récupération des fichiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeFileTotal">
      <summary>
 Retourne le temps total estimé pour la récupération des fichiers par l'application 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeDirElapsed">
      <summary>
 Retourne le temps passé à l'analyse des dossiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeDirRemain">
      <summary>
 Retourne le temps restant estimé pour l'analyse des dossiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="P:NHenry.Scandir.ClsScandir.TimeDirTotal">
      <summary>
 Retourne la durée total prévue pour l'analyse des dossiers 
 </summary>
 <value />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsScandir.StartAnalyse">
      <summary>
 Démarre l'analyse 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsScandir.StopAnalyse">
      <summary>
 Arrête l'analyse 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsScandir.RestartAnalyse">
      <summary>
 Redémarre l'analyse 
 </summary>
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
    <member name="M:NHenry.Scandir.ClsScandir.GetNext(System.Boolean,System.Boolean)">
      <summary>
 Récupère le fichier en haut de la pile 
 </summary>
 <param name="Blocked">Définit si le fonction attend que l'analyse soit finie ou que l'analyse soit finie pour quitter, si false et pas de fichiers en attente, retourne " "</param>
 <param name="DelElement">Définit si l'élément récupéré est retiré de la pile</param>
 <returns />
 <remarks>
 </remarks>
 <history>
 	[nicolas]	25/10/2005	Created 
 </history></member>
  </members>
</doc>